Installation

Install Python 3.6 or later.

Install Locust using pip.

$ pip3 install locust

Validate your installation and show the Locust version number:

$ locust -V

If everything worked, move on to Quick start. If it did not, check out the wiki for some solutions.

Bleeding edge version

If you need some feature or fix not yet part of a release:

$ pip3 install -e git://github.com/locustio/[email protected]#egg=locust